#include <bits/stdc++.h>

using namespace std;



int digit(unsigned long long int a){
    int x = 0;
    while(a > 0){
        a /= 10;
        x++;
    }
    return x;
}

int main()
{
    unsigned long long int x, y, n;
    int dig;
    cin >> x >> y;

    if(x < y){
        swap(x, y);
    }

    for(dig = digit(x); dig > 0; dig--){
        n = pow(10, dig);
        if(y % n / (n / 10) == 0){
            cout << x % n / (n / 10);
        }
        else if(y % n / (n / 10) == x % n / (n / 10)){

            cout << x % n / (n / 10) << x % n / (n / 10);
        }
        else{
            cout << max(x % n / (n / 10), y % n/ (n / 10));
        }
    }

    return 0;
}